> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Volume Session



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes/{name}/sessions/{session_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes/{name}/sessions/{session_id}:
    get:
      tags:
        - training
      summary: Get Volume Session
      operationId: >-
        get_volume_session_api_v1_training_volumes__name__sessions__session_id__get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Teamid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeSessionResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    VolumeSessionResponse:
      properties:
        id:
          type: string
          title: Id
        volumeName:
          type: string
          title: Volumename
        status:
          type: string
          title: Status
        readOnly:
          type: boolean
          title: Readonly
        sshConnection:
          anyOf:
            - type: string
            - type: 'null'
          title: Sshconnection
        gateway:
          anyOf:
            - $ref: '#/components/schemas/VolumeSessionGateway'
            - type: 'null'
        hostPublicKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Hostpublickey
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
      type: object
      required:
        - id
        - volumeName
        - status
        - readOnly
      title: VolumeSessionResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    VolumeSessionGateway:
      properties:
        host:
          type: string
          title: Host
        port:
          type: integer
          title: Port
        certSha256:
          type: string
          title: Certsha256
      type: object
      required:
        - host
        - port
        - certSha256
      title: VolumeSessionGateway
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````